View Issue Details

IDProjectCategoryView StatusLast Update
0005642Talerdocumentationpublic2020-08-28 23:50
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005642: Improve section about the exchange bank account setup.
Description> For _me_ it was crystal-clear, but maybe we should switch to a more
> didactical style
> for this section where Nuria is stuck?

I think the first problem is that the example given does not work.
The payto://sepa/ is not implemented, we should instead give a
payto://x-taler-bank/ here (or no payto and leave it for later).

Also nothing says how you get the "right" bank account number. In
section 3.6.1, the bank account number is MISSING in the
payto://-example provided.

I think it would be good to add example commands ($ taler-config ...) to
run, to refer to the Taler bank (bank.git) documentation for 3.6.1, and
to give some way to _check_ that everything is correct that doesn't
involve starting the exchange. For example, running

$ taler-exchange-wire && echo everything OK

and ensuring that taler-exchange-wire does NOT return 0 if the
configuration has mistakes in it.


Additional InformationThe description comes from a private discussion that was triggered by some users trying to install the exchange,
and it refers to the exchange manual.
TagsNo tags attached.

Activities

nikita

2019-07-15 18:51

developer   ~0014679

ack, will get to it after GSoC.

Christian Grothoff

2020-08-28 23:50

manager   ~0016789

8a89eec7..f486df99 makes taler-exchange-wire fail if the configuration is definitively wrong.
682d001..319426f updates the exchange manual to actually reflect the current options needed.

Issue History

Date Modified Username Field Change
2019-03-12 13:17 Marcello Stanisci New Issue
2019-04-20 22:34 Christian Grothoff Severity minor => text
2019-07-15 18:50 nikita Assigned To => nikita
2019-07-15 18:50 nikita Status new => assigned
2019-07-15 18:51 nikita Note Added: 0014679
2020-05-05 09:53 nikita Assigned To nikita =>
2020-07-23 21:47 Christian Grothoff Assigned To => Christian Grothoff
2020-08-28 23:50 Christian Grothoff Note Added: 0016789
2020-08-28 23:50 Christian Grothoff Status assigned => resolved
2020-08-28 23:50 Christian Grothoff Resolution open => fixed
2020-08-28 23:50 Christian Grothoff Fixed in Version => 0.8
2020-08-28 23:50 Christian Grothoff Product Version => git (master)
2020-08-28 23:50 Christian Grothoff Target Version => 0.8